package CRSDK;

@SuppressWarnings("unused")
public enum CrImageQuality {
    CrImageQuality_Unknown (0x0000),
    CrImageQuality_Light (CrImageQuality_Unknown.getValue()+1),
    CrImageQuality_Standard (CrImageQuality_Unknown.getValue()+2),
    CrImageQuality_Fine (CrImageQuality_Unknown.getValue()+3),
    CrImageQuality_ExFine (CrImageQuality_Unknown.getValue()+4);

    private final CrInt16u value;
    CrImageQuality(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
